Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8259978

PPC64 builds broken after JDK-8258004

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P2
    • Resolution: Fixed
    • Affects Version/s: 17
    • Fix Version/s: 17
    • Component/s: hotspot
    • Labels:
      None
    • Subcomponent:
    • Resolved In Build:
      b06

      Description

      /home/runner/work/jdk/jdk/jdk/src/hotspot/cpu/ppc/nativeInst_ppc.hpp: In member function 'bool NativeInstruction::is_sigtrap_range_check()':
      /home/runner/work/jdk/jdk/jdk/src/hotspot/cpu/ppc/nativeInst_ppc.hpp:77:26: error: 'TrapBasedRangeChecks' was not declared in this scope; did you mean 'pd_TrapBasedRangeChecks'?
         77 | assert(UseSIGTRAP && TrapBasedRangeChecks, "precondition");
            | ^~~~~~~~~~~~~~~~~~~~

      ...and then another:

      /home/shade/trunks/jdk/src/hotspot/share/oops/method.cpp: In member function 'u_char* Method::get_c2i_no_clinit_check_entry()':
      /home/shade/trunks/jdk/src/hotspot/share/oops/method.cpp:162:10: error: 'VM_Version' has not been declared
        162 | assert(VM_Version::supports_fast_class_init_checks(), "");
            | ^~~~~~~~~~

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                shade Aleksey Shipilev
                Reporter:
                shade Aleksey Shipilev
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: